Upgrade Advice

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade Advice

lizquigg
I am currently running Lasso 8.5.6 on a Windows Server 2003 with Filemaker 11 server and a postgreSQL  v9.1.6 server.
We are a Mac office and my immediate motivation for upgrading is a concern about the compatibility of Filemaker 11 and Mavericks.
I will have to make the difficult move to Filemaker 13 from 11 where the format of the Filemaker files change.

I will also have to move to Windows Server 2012 at the beginning of the year.  I could possibly use Windows Server 2008 R2 if necessary.

It looks like I need to upgrade to Lasso 9.2.7 to run on the Windows Server 2012.
Changing the operating system, version of Lasso and Filemaker all at once seems pretty scary.

Does anyone have advice on the order I should upgrade?
• Would it make sense to

• work with my current version of Lasso 8.5.6 on the Windows 2003 server and get that working with Filemaker 13 first?

or

• upgrade to Lasso 9.2.7 on Windows Server 2012 and get it working with Filemaker 11 and then move to Filemaker 13

or

• go for broke and change all three at once


It looks like Lasso 8.6 does not work with Windows 2012.  I am basing my OS information on the charts at http://www.lassosoft.com/versions

I hope there are no issues with the PosgreSQL Server working with these.  I do not maintain that server and have to work with the versions they provide.

Thanks


------------------------
Liz Quigg
Fermilab
MS 226, Box 500
Batavia, IL 60510
630 840-2631
[hidden email]<mailto:[hidden email]>


"Save a tree; think twice about printing this e-mail."

#############################################################
Attend the Lasso Developer Conference 2014!
October 1-3, 2014 at Treefrog HQ, Newmarket, Ontario, Canada
http://www.lassosoft.com/LDC-newmarket-2014

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade Advice

stevepiercy
Your concern derives from the old way of doing things.  There is
a better way.

For all upgrades, use virtual servers, and develop in a parallel
on the virtual servers.

Thus you never upgrade your existing server, it stays up and
running, and it becomes a trivial flip of the ol' DNS switch to
point from the old to the new.

--steve


On 7/8/14 at 7:52 PM, [hidden email] (Elizabeth K Quigg) pronounced:

>I am currently running Lasso 8.5.6 on a Windows Server 2003
>with Filemaker 11 server and a postgreSQL  v9.1.6 server.
>We are a Mac office and my immediate motivation for upgrading
>is a concern about the compatibility of Filemaker 11 and Mavericks.
>I will have to make the difficult move to Filemaker 13 from 11
>where the format of the Filemaker files change.
>
>I will also have to move to Windows Server 2012 at the
>beginning of the year.  I could possibly use Windows Server
>2008 R2 if necessary.
>
>It looks like I need to upgrade to Lasso 9.2.7 to run on the Windows Server 2012.
>Changing the operating system, version of Lasso and Filemaker
>all at once seems pretty scary.
>
>Does anyone have advice on the order I should upgrade?
>• Would it make sense to
>
>• work with my current version of Lasso 8.5.6 on the Windows
>2003 server and get that working with Filemaker 13 first?
>
>or
>
>• upgrade to Lasso 9.2.7 on Windows Server 2012 and get it
>working with Filemaker 11 and then move to Filemaker 13
>
>or
>
>• go for broke and change all three at once
>
>
>It looks like Lasso 8.6 does not work with Windows 2012.  I am
>basing my OS information on the charts at http://www.lassosoft.com/versions
>
>I hope there are no issues with the PosgreSQL Server working
>with these.  I do not maintain that server and have to work
>with the versions they provide.
>
>Thanks
>
>
>------------------------
>Liz Quigg
>Fermilab
>MS 226, Box 500
>Batavia, IL 60510
>630 840-2631
>[hidden email]<mailto:[hidden email]>
>
>
>"Save a tree; think twice about printing this e-mail."
>
>#############################################################
>Attend the Lasso Developer Conference 2014!
>October 1-3, 2014 at Treefrog HQ, Newmarket, Ontario, Canada
>http://www.lassosoft.com/LDC-newmarket-2014
>
>#############################################################
>
>This message is sent to you because you are subscribed to
>the mailing list Lasso [hidden email]
>Official list archives available at http://www.lassotalk.com
>To unsubscribe, E-mail to: <[hidden email]>
>Send administrative queries to  <[hidden email]>

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
Steve Piercy              Website Builder              Soquel, CA
<[hidden email]>               <http://www.StevePiercy.com/>

#############################################################
Attend the Lasso Developer Conference 2014!
October 1-3, 2014 at Treefrog HQ, Newmarket, Ontario, Canada
http://www.lassosoft.com/LDC-newmarket-2014

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade Advice

maxwellk2
In reply to this post by lizquigg
I have not yet made the leap to Lasso 9, but have started migrating Lasso 8.6 sites from FMS11 to FMS12 and there have been some little gotchas. For example, FileMaker won’t process an inline if there are duplicate parameters, like this:

        inline( -search, -database=‘database’, -table=‘table’,  ‘field_1’ = ’some data’,  ‘field_2’ = ’some other data’,  ‘field_1’ = ’some data’)

This is probably bad programming anyway, but for some reason FMS11 didn’t mind this. Also, make sure to include the -OP command for every field parameter, like this:

        inline( -search, -database=‘database’, -table=‘table’,  -OP = ‘EQ’,  ‘field_1’ = ’some data’, -OP = ‘CN’,  ‘field_2’ = ’some other data’)

If not specified the default is -OP=‘BW’ which really kills performance if that’s not the desired search, and searching date fields fails entirely without an -OP specificied. Also, it looks like -NOT and -OR searches no longer work. I’ll post more as I discover them.  Some of these FileMaker-specific issues may be resolved by going with Lasso 9, but maybe someone else who’s using Lasso 9 and FMS12 can comment.

Overall FMS12 has performed exceeding well and has been very stable, and current testing with FMS13 suggests more of the same speed and stability improvements. Keep in mind FMS13 doesn’t play nice with other services running on the same server that use ports 80 or 443, like Apache or IIS.

Converting the databases from FM11 to FM13 should go pretty smooth, especially if the databases were originally built in FM11. Usually the only issues I run into are printed reports needing a little tweaking. Last year I converted a database all the way from FM3 to FM12, it was a very simple database, but only required one fix to get it working. Here are some conversion guidelines:

        http://help.filemaker.com/app/answers/detail/a_id/10261
        http://help.filemaker.com/app/answers/detail/a_id/10084

I haven’t dived into Lasso 9, so I can’t speak to all the benefits it provides. If your Lasso code base is fairly small then Lasso 9 and FMS13 may not be a bad way to go. If your Lasso code base is large then it might be easier to go with Lasso 8.6 and FMS13. Either way I think the upgrade to FM13 is the smaller of your challenges, but I don’t know how complex your FM database system is, or if you run any plugins that may not be compatible with 13.

Steve’s advice is spot on, if you have to run Windows servers then virtualization is the way to go. That way you can have one server with Windows Server 2008 R2 for Lasso 8.6 and/or 9, and one server with Windows Server 2012 for FileMaker Server 13. This also allows you to bring up additional virtual servers to test different combinations.

Hope that helps some,
Max


On Jul 8, 2014, at 12:52 PM, Elizabeth K Quigg <[hidden email]> wrote:

> I am currently running Lasso 8.5.6 on a Windows Server 2003 with Filemaker 11 server and a postgreSQL  v9.1.6 server.
> We are a Mac office and my immediate motivation for upgrading is a concern about the compatibility of Filemaker 11 and Mavericks.
> I will have to make the difficult move to Filemaker 13 from 11 where the format of the Filemaker files change.
>
> I will also have to move to Windows Server 2012 at the beginning of the year.  I could possibly use Windows Server 2008 R2 if necessary.
>
> It looks like I need to upgrade to Lasso 9.2.7 to run on the Windows Server 2012.
> Changing the operating system, version of Lasso and Filemaker all at once seems pretty scary.
>
> Does anyone have advice on the order I should upgrade?
> • Would it make sense to
>
> • work with my current version of Lasso 8.5.6 on the Windows 2003 server and get that working with Filemaker 13 first?
>
> or
>
> • upgrade to Lasso 9.2.7 on Windows Server 2012 and get it working with Filemaker 11 and then move to Filemaker 13
>
> or
>
> • go for broke and change all three at once
>
>
> It looks like Lasso 8.6 does not work with Windows 2012.  I am basing my OS information on the charts at http://www.lassosoft.com/versions
>
> I hope there are no issues with the PosgreSQL Server working with these.  I do not maintain that server and have to work with the versions they provide.
>
> Thanks
>
>
> ------------------------
> Liz Quigg
> Fermilab
> MS 226, Box 500
> Batavia, IL 60510
> 630 840-2631
> [hidden email]<mailto:[hidden email]>
>
>
> "Save a tree; think twice about printing this e-mail."
>
> #############################################################
> Attend the Lasso Developer Conference 2014!
> October 1-3, 2014 at Treefrog HQ, Newmarket, Ontario, Canada
> http://www.lassosoft.com/LDC-newmarket-2014
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>  the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>

#############################################################
Attend the Lasso Developer Conference 2014!
October 1-3, 2014 at Treefrog HQ, Newmarket, Ontario, Canada
http://www.lassosoft.com/LDC-newmarket-2014

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade Advice

Bil Corry-3
In reply to this post by lizquigg
If it were me, I'd setup a new server with all the new versions, and get it
all working together while the old server continues to serve as the
production machine.  Otherwise, the incremental upgrading will have you do
work that won't be ultimately transferable.  So the "go for broke" option.

- Bil


On Tue, Jul 8, 2014 at 9:52 PM, Elizabeth K Quigg <[hidden email]> wrote:

> I am currently running Lasso 8.5.6 on a Windows Server 2003 with Filemaker
> 11 server and a postgreSQL  v9.1.6 server.
> We are a Mac office and my immediate motivation for upgrading is a concern
> about the compatibility of Filemaker 11 and Mavericks.
> I will have to make the difficult move to Filemaker 13 from 11 where the
> format of the Filemaker files change.
>
> I will also have to move to Windows Server 2012 at the beginning of the
> year.  I could possibly use Windows Server 2008 R2 if necessary.
>
> It looks like I need to upgrade to Lasso 9.2.7 to run on the Windows
> Server 2012.
> Changing the operating system, version of Lasso and Filemaker all at once
> seems pretty scary.
>
> Does anyone have advice on the order I should upgrade?
> • Would it make sense to
>
> • work with my current version of Lasso 8.5.6 on the Windows 2003 server
> and get that working with Filemaker 13 first?
>
> or
>
> • upgrade to Lasso 9.2.7 on Windows Server 2012 and get it working with
> Filemaker 11 and then move to Filemaker 13
>
> or
>
> • go for broke and change all three at once
>
>
> It looks like Lasso 8.6 does not work with Windows 2012.  I am basing my
> OS information on the charts at http://www.lassosoft.com/versions
>
> I hope there are no issues with the PosgreSQL Server working with these.
>  I do not maintain that server and have to work with the versions they
> provide.
>
> Thanks
>
>
> ------------------------
> Liz Quigg
> Fermilab
> MS 226, Box 500
> Batavia, IL 60510
> 630 840-2631
> [hidden email]<mailto:[hidden email]>
>
>
> "Save a tree; think twice about printing this e-mail."
>
> #############################################################
> Attend the Lasso Developer Conference 2014!
> October 1-3, 2014 at Treefrog HQ, Newmarket, Ontario, Canada
> http://www.lassosoft.com/LDC-newmarket-2014
>
> #############################################################
>
> This message is sent to you because you are subscribed to
>   the mailing list Lasso [hidden email]
> Official list archives available at http://www.lassotalk.com
> To unsubscribe, E-mail to: <[hidden email]>
> Send administrative queries to  <[hidden email]>
>
#############################################################
Attend the Lasso Developer Conference 2014!
October 1-3, 2014 at Treefrog HQ, Newmarket, Ontario, Canada
http://www.lassosoft.com/LDC-newmarket-2014

#############################################################

This message is sent to you because you are subscribed to
  the mailing list Lasso [hidden email]
Official list archives available at http://www.lassotalk.com
To unsubscribe, E-mail to: <[hidden email]>
Send administrative queries to  <[hidden email]>